## com.gargoylesoftware.htmlunit
Interface WebWindowListener

All Known Implementing Classes:
  WebWindowAdapter

    public interface WebWindowListener

A listener for WebWindowEvent's.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler

Method Summary
`void` `webWindowClosed(WebWindowEvent event)` A web window has been closed.
`void` `webWindowContentChanged(WebWindowEvent event)` The contents of a web window has been changed.
`void` `webWindowOpened(WebWindowEvent event)` A web window has been opened.

Method Detail

### webWindowOpened

    void webWindowOpened(WebWindowEvent event)

  A web window has been opened.

  Parameters:
    `event` - the event (the oldPage and newPage properties will be `null` because the event is generated when the window is opened before the content is loaded)

### webWindowContentChanged

    void webWindowContentChanged(WebWindowEvent event)

  The contents of a web window has been changed.

  Parameters:
    `event` - the event

### webWindowClosed

    void webWindowClosed(WebWindowEvent event)

  A web window has been closed.

  Parameters:
    `event` - the event

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.